Sipariş sorgula (misafir)
POST
/api/website/orders/lookup
const url = 'https://api.petanqueai.com/api/website/orders/lookup';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"code":"example","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/orders/lookup \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "code": "example", "phone": "example" }'Misafirin siparişini sipariş koduyla (SA-…) ve siparişteki telefon numarasıyla bulmasını sağlar. Kişisel bilgi içermeyen bir özet döner: durum, ürünler, tutarlar, il ve ilçe, maskelenmiş alıcı adı ve kargo takibi. Her başarısız sorgu aynı 404’ü alır.
Yetkilendirmeler
Bölüm başlığı “Authorizations”İstek gövdesizorunlu
Bölüm başlığı “Request Bodyrequired”object
code
zorunlu
string
phone
zorunlu
string
Example generated
{ "code": "example", "phone": "example"}object
code
zorunlu
string
phone
zorunlu
string
Example generated
code=example&phone=exampleobject
code
zorunlu
string
phone
zorunlu
string